libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
gsm0808_cell_id_u Union Reference
GSM 08.08 / 3GPP TS 48.008 A Interface

Instead of this, use either struct gsm0808_cell_id or gsm0808_cell_id_list2. More...

`#include <gsm0808_utils.h>`

## Data Fields
struct osmo_cell_global_id | global
struct osmo_lac_and_ci_id | lac_and_ci
uint16_t | ci
struct osmo_location_area_id | lai_and_lac
uint16_t | lac
struct osmo_service_area_id | sai
struct osmo_cell_global_id_ps | global_ps

## Detailed Description

Instead of this, use either struct gsm0808_cell_id or gsm0808_cell_id_list2.

All elements contain parsed representations of the data in the corresponding IE, in host-byte order.

## Field Documentation

## ◆ ci

uint16_t gsm0808_cell_id_u::ci

Referenced by cell_id_to_cgi(), gsm0808_cell_id_from_cgi(), gsm0808_cell_id_to_cgi(), gsm0808_cell_id_u_name(), gsm0808_decode_cell_id_u(), gsm0808_msgb_put_cell_id_u(), and parse_cell_id_ci_list().

## ◆ global

struct osmo_cell_global_id gsm0808_cell_id_u::global

Referenced by cell_id_to_cgi(), gsm0808_cell_id_from_cgi(), gsm0808_cell_id_to_cgi(), gsm0808_cell_id_u_name(), gsm0808_decode_cell_id_u(), gsm0808_enc_cell_id_list2(), gsm0808_msgb_put_cell_id_u(), and parse_cell_id_global_list().

## ◆ global_ps

struct osmo_cell_global_id_ps gsm0808_cell_id_u::global_ps

Referenced by cell_id_to_cgi(), gsm0808_cell_id_from_cgi(), gsm0808_cell_id_to_cgi(), gsm0808_cell_id_u_name(), gsm0808_decode_cell_id_u(), and gsm0808_msgb_put_cell_id_u().

## ◆ lac

uint16_t gsm0808_cell_id_u::lac

Referenced by cell_id_to_cgi(), gsm0808_cell_id_from_cgi(), gsm0808_cell_id_to_cgi(), gsm0808_cell_id_u_name(), gsm0808_create_paging(), gsm0808_decode_cell_id_u(), gsm0808_msgb_put_cell_id_u(), and parse_cell_id_lac_list().

## ◆ lac_and_ci

struct osmo_lac_and_ci_id gsm0808_cell_id_u::lac_and_ci

Referenced by cell_id_to_cgi(), gsm0808_cell_id_from_cgi(), gsm0808_cell_id_to_cgi(), gsm0808_cell_id_u_name(), gsm0808_decode_cell_id_u(), gsm0808_msgb_put_cell_id_u(), and parse_cell_id_lac_and_ci_list().

## ◆ lai_and_lac

struct osmo_location_area_id gsm0808_cell_id_u::lai_and_lac

Referenced by cell_id_to_cgi(), gsm0808_cell_id_from_cgi(), gsm0808_cell_id_to_cgi(), gsm0808_cell_id_u_name(), gsm0808_decode_cell_id_u(), gsm0808_msgb_put_cell_id_u(), and parse_cell_id_lai_and_lac().

## ◆ sai

struct osmo_service_area_id gsm0808_cell_id_u::sai

Referenced by cell_id_to_cgi(), gsm0808_cell_id_from_cgi(), gsm0808_cell_id_to_cgi(), gsm0808_cell_id_u_name(), gsm0808_decode_cell_id_u(), gsm0808_msgb_put_cell_id_u(), and parse_cell_id_sai_list().

The documentation for this union was generated from the following file:

- include/osmocom/gsm/gsm0808_utils.h